Package org.apache.jmeter.protocol.http.sampler

# Class HttpClientDefaultParameters

java.lang.Object
org.apache.jmeter.protocol.http.sampler.HttpClientDefaultParameters

@Deprecated public class HttpClientDefaultParameters extends Object
Deprecated.
since 5.0
Utility class to set up default HttpClient parameters from a file. Supports Apache HttpClient.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `load(String file, org.apache.http.params.HttpParams params)`
  Deprecated.
  Loads a property file and converts parameters as necessary.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### load

    public static void load(String file, org.apache.http.params.HttpParams params)
    Deprecated.
    Loads a property file and converts parameters as necessary.
    Parameters:
      `file` - the file to load
      `params` - Apache HttpClient parameter instance